> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heybee.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Retry Huggingface Import



## OpenAPI

````yaml /openapi.json post /v1/experiments/{experiment_id}/huggingface/imports/{import_id}/retry
openapi: 3.1.0
info:
  description: Customer-owned evaluation lifecycle API.
  title: HeyBee Public API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.heybee.app
security: []
paths:
  /v1/experiments/{experiment_id}/huggingface/imports/{import_id}/retry:
    post:
      tags:
        - Hugging Face Imports
      summary: Retry Huggingface Import
      operationId: >-
        retry_huggingface_import_v1_experiments__experiment_id__huggingface_imports__import_id__retry_post
      parameters:
        - in: path
          name: experiment_id
          required: true
          schema:
            format: uuid
            title: Experiment Id
            type: string
        - in: path
          name: import_id
          required: true
          schema:
            format: uuid
            title: Import Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: X-API-Key
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HuggingFaceImportResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - BearerAuth: []
        - ApiKeyAuth: []
components:
  schemas:
    HuggingFaceImportResponse:
      properties:
        candidate_modality:
          enum:
            - text
            - image
            - audio
            - video
          title: Candidate Modality
          type: string
        config_name:
          title: Config Name
          type: string
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Created At
        dataset_repo_id:
          title: Dataset Repo Id
          type: string
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
        experiment_id:
          format: uuid
          title: Experiment Id
          type: string
        failed_rows:
          default: 0
          title: Failed Rows
          type: integer
        id:
          format: uuid
          title: Id
          type: string
        reserved_rows:
          anyOf:
            - type: integer
            - type: 'null'
          title: Reserved Rows
        row_limit:
          title: Row Limit
          type: integer
        row_offset:
          title: Row Offset
          type: integer
        skipped_rows:
          default: 0
          title: Skipped Rows
          type: integer
        split_name:
          title: Split Name
          type: string
        status:
          title: Status
          type: string
        successful_rows:
          default: 0
          title: Successful Rows
          type: integer
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Updated At
      required:
        - id
        - experiment_id
        - dataset_repo_id
        - config_name
        - split_name
        - row_offset
        - row_limit
        - status
        - candidate_modality
      title: HuggingFaceImportResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: Supabase JWT
      scheme: bearer
      type: http
    ApiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````